
import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import scala.language.postfixOps 



lazy val f = Future {
  assert(replace("aa".% | "bb", "aabbbaaaaaaabaaaaabbaaaabb" , "c") == "ccbcabcaccc")
  assert(replace("aa".% | "bb", "abba" , "") == "aa")
}

Await.result(f, 120 second)
